PipeWire 1.4.10

Loading...
Searching...
No Matches
link.h File Reference
Core API » Link

pipewire/link.h More...

Go to the source code of this file.

## Data Structures
struct | pw_link_info
| The link information. More...
struct | pw_link_events
| Link events. More...
struct | pw_link_methods
| Link methods. More...

## Macros
#define | PW_TYPE_INTERFACE_Link PW_TYPE_INFO_INTERFACE_BASE "Link"
#define | PW_LINK_PERM_MASK PW_PERM_R | PW_PERM_X
#define | PW_VERSION_LINK 3
#define | PW_API_LINK_IMPL static inline
#define | PW_LINK_CHANGE_MASK_STATE (1 << 0)
#define | PW_LINK_CHANGE_MASK_FORMAT (1 << 1)
#define | PW_LINK_CHANGE_MASK_PROPS (1 << 2)
#define | PW_LINK_CHANGE_MASK_ALL ((1 << 3)-1)
#define | PW_LINK_EVENT_INFO 0
#define | PW_LINK_EVENT_NUM 1
#define | PW_VERSION_LINK_EVENTS 0
#define | PW_LINK_METHOD_ADD_LISTENER 0
#define | PW_LINK_METHOD_NUM 1
#define | PW_VERSION_LINK_METHODS 0

## Enumerations
enum | pw_link_state { PW_LINK_STATE_ERROR = -2 , PW_LINK_STATE_UNLINKED = -1 , PW_LINK_STATE_INIT = 0 , PW_LINK_STATE_NEGOTIATING = 1 , PW_LINK_STATE_ALLOCATING = 2 , PW_LINK_STATE_PAUSED = 3 , PW_LINK_STATE_ACTIVE = 4 }
| The different link states. More...

## Functions
const char * | pw_link_state_as_string (enum pw_link_state state)
| Convert a pw_link_state to a readable string.
struct pw_link_info * | pw_link_info_update (struct pw_link_info *info, const struct pw_link_info *update)
struct pw_link_info * | pw_link_info_merge (struct pw_link_info *info, const struct pw_link_info *update, bool reset)
void | pw_link_info_free (struct pw_link_info *info)
PW_API_LINK_IMPL int | pw_link_add_listener (struct pw_link *object, struct spa_hook *listener, const struct pw_link_events *events, void *data)

## Detailed Description

pipewire/link.h